Skip to main content
GET
/
machineidentities
/
{name}
/
credentials
List Machine Identity Credentials
curl --request GET \
  --url https://use.hoop.dev/api/machineidentities/{name}/credentials
import requests

url = "https://use.hoop.dev/api/machineidentities/{name}/credentials"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://use.hoop.dev/api/machineidentities/{name}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "aws_access_key_id": "<string>",
    "aws_secret_access_key": "<string>",
    "command": "<string>",
    "connection_name": "<string>",
    "connection_string": "<string>",
    "connection_subtype": "<string>",
    "connection_type": "<string>",
    "database_name": "<string>",
    "endpoint_url": "<string>",
    "hostname": "<string>",
    "password": "<string>",
    "port": "<string>",
    "proxy_token": "<string>",
    "secret_key": "<string>",
    "username": "<string>"
  }
]
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

name
string
required

Machine Identity Name

Response

OK

aws_access_key_id
string
aws_secret_access_key
string
command
string
connection_name
string
connection_string
string
connection_subtype
string
connection_type
string
database_name
string
endpoint_url
string
hostname
string
password
string
port
string
proxy_token
string
secret_key
string
username
string